# Gmagick::resampleimage

(PECL gmagick >= Unknown)

Gmagick::resampleimage — Resample image to desired resolution

### Description

public Gmagick::resampleimage ( float `$xResolution` , float `$yResolution` , int `$filter` , float `$blur` ) : Gmagick

Resample image to desired resolution.

### Parameters

`xResolution`

  The new image x resolution.

`yResolution`

  The new image y resolution.

`filter`

  Image filter to use.

`blur`

  The blur factor where larger than 1 is blurry, smaller than 1 is sharp.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.